document.getElementById("szincsere").addEventListener("click", szincsere);

function szincsere() {
    let colors = [];
    for (let index = 0; index < 6; index++) {
        let num = Math.floor(Math.random() * 100 % 16);
        let hex;
        switch (num) {
            case 10:
                hex = 'A';
                break;
            case 11:
                hex = 'B';
                break;
            case 12:
                hex = 'C';
                break;
            case 13:
                hex = 'D';
                break;
            case 14:
                hex = 'E';
                break;
            case 15:
                hex = 'F';
                break;
            default:
                hex = num;
                break;
        }
        colors[index] = hex;
        console.log(hex);
    }

    let color = "#";
    colors.forEach(element => {
        color += element;
    });

    document.body.style.backgroundColor = color;
}


//eseménybefogás
/*
document.getElementById("szakaszID").addEventListener("click", function(){
    console.log("A div szakasz eseménykezelője lefutott!");
}, true);

document.getElementById("bekezdesID").addEventListener("click", function(){
    console.log("A p bekezdes eseménykezelője lefutott!");
}, true);
*/

/*
NORMÁL BUBORÉKOS

document.getElementById("szakaszID").addEventListener("click", function(){
    console.log("A div szakasz eseménykezelője lefutott!");
})

document.getElementById("bekezdesID").addEventListener("click", function(){
    console.log("A p bekezdes eseménykezelője lefutott!");
})
*/


/*
Eseménybuborékolás megállítása

document.getElementById("szakaszID").addEventListener("click", function(event){
    event.stopPropagation();
});

document.getElementById("bekezdesID").addEventListener("click", function(){
    console.log("A p bekezdes eseménykezelője lefutott!");
});

*/

document.getElementById("lista").addEventListener("click", function(event) {
    if (event.target.tagName === 'LI') {
        console.log("Kattintott listaelem: ", event.target.textContent);
    }
});


let osszead = (a,b) => a + b;

console.log(osszead(2,3));
console.log(osszead(6,3));
console.log(osszead(7,3));

nev = "Sanyi";

let ember = {
    nev: "Géza",
    koszon: function(){
        console.log("Szia, " + this.nev);
    },
    elkoszon: function (params) {
        console.log("Viszlát, " + this.nev);
    },
    // a this nem erre az objektumra vonatkozik a nyílv függvénynél
    koszon2: () => {
        console.log("Viszlát, " + this.nev);
    }
}

ember.koszon();
ember.elkoszon();
ember.koszon2();

let szamok = [10,20,30,40,50];
let szum = (array) => {
    a = 0;
    array.forEach(element => {
        a += element;
    });
    return a;
}
let atlag = (array) => szum(array) / array.length;

console.log(`Összeg: ${szum(szamok)}`);
console.log(`Átlag: ${atlag(szamok)}`);